error al intentar actualizar con yum en fedora 13

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
jakelita
Forista Nuevo
Forista Nuevo
Mensajes: 15
Registrado: Sab Mar 05, 2011 8:09 pm

error al intentar actualizar con yum en fedora 13

Mensaje por jakelita » Mar Mar 22, 2011 10:35 pm

hola! soy nueva en el ambiente linux, apenas instale fedora 13 para hacer un servidor LAMP que me pidieron.
Bueno pues resulta que al querer actualizar con yum -y update me aparece lo siguiente:

[root@gruporisc risc]# yum -y update
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

No module named sqlitecachec

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.6.4 (r264:75706, Jun 4 2010, 18:20:16)
[GCC 4.4.4 20100503 (Red Hat 4.4.4-2)]

If you cannot solve this problem yourself, please go to
the yum faq at:
http://yum.baseurl.org/wiki/Faq



y no se que hacer :| alguien me puede decir :?: :?:
Avatar de Usuario
Kde_Tony
Moderador
Moderador
Mensajes: 3866
Registrado: Mié Jul 20, 2005 7:00 am
Ubicación: /home/Peru/Lima/La Molina
Contactar:

Re: error al intentar actualizar con yum en fedora 13

Mensaje por Kde_Tony » Mié Mar 23, 2011 6:54 pm

escribe: yum clean all y vuelve a probar...
"Quiero cambiar al mundo pero no me dan los RPM"
----------------------------
Tony Blair
Linux User # 433253
Ubuntu User # 9562
-----------------------------
jakelita
Forista Nuevo
Forista Nuevo
Mensajes: 15
Registrado: Sab Mar 05, 2011 8:09 pm

Re: error al intentar actualizar con yum en fedora 13

Mensaje por jakelita » Jue Mar 24, 2011 1:23 am

Me sigue saliendo el mismo mensaje que hago :?: :?: :?:
Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Re: error al intentar actualizar con yum en fedora 13

Mensaje por hmg79 » Jue Mar 24, 2011 2:47 am

Por esto no me gusta Fedora, no es lo que era cuando los desarrollaba redhat.-
Hace unos años me pidieron armar un servidor lamp en Fedora, a la primera configuración que trate de hacer quedo completamente inestable,despues de varias reinstaladas logre purgar todo el sistema y dejarlo usable, va aclarando para que el amigo kde-tony no se enoje, todavía no era usable centos, pero aunque haya sido usable, el proyecto requería Fedora, duro menos de un mes el servidor, pero cumpli con lo que me pidieron.-
Avatar de Usuario
mcun
Administrador
Administrador
Mensajes: 3888
Registrado: Lun Abr 19, 2010 12:30 am
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)
Contactar:

Re: error al intentar actualizar con yum en fedora 13

Mensaje por mcun » Jue Mar 24, 2011 4:17 am

fedora escribió: If you cannot solve this problem yourself, please go to
the yum faq at:
http://yum.baseurl.org/wiki/Faq
empieza por allí :D
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809
o4kley
Forista Medio
Forista Medio
Mensajes: 410
Registrado: Sab Ene 01, 2011 2:40 am
Ubicación: Peru

Re: error al intentar actualizar con yum en fedora 13

Mensaje por o4kley » Jue Mar 31, 2011 4:01 am

desinstalaste algun componente de yum , verifca los logs y busca algo referido a sqlite
"Bañarse en pareja (ahorra agua y ayuda a producir niños ecológicos) =)"
http://o4-gml.blogspot.com/
Avatar de Usuario
1antares1
Forista Menor
Forista Menor
Mensajes: 68
Registrado: Sab Ene 08, 2011 6:34 pm
Ubicación: Venezuela

Re: error al intentar actualizar con yum en fedora 13

Mensaje por 1antares1 » Jue Mar 31, 2011 3:09 pm

m[cun] escribió:
fedora escribió: If you cannot solve this problem yourself, please go to
the yum faq at:
http://yum.baseurl.org/wiki/Faq
empieza por allí :D
Eso si! Leete el FAQ.

Y lo malo de YUM es que depende de Python, ya que como es interpretado y APT así como SMART (También para Fedora), son creados en C y son más rápidos y no dependen de tener instalado Python.

En Fedora recomiendan tener SMART ¿Por qué?

Aquí una respuesta detallada sobre YUM y SMART. Podrías instalarte SMART que funciona más rápido en Fedora y es más fácil de manejar (pero no sigue siendo más rápido que APT :oops: )

http://www.taringa.net/posts/linux/9778 ... edora.html

Lee mis primeras respuestas (Las más notorias :D ) y te darás cuenta por que YUM da muchos problemas para el usuario.

Aquí un tutorial para instalarlo

http://noctuido.wordpress.com/2008/12/0 ... en-fedora/

La ironía es que se instala con YUM jeje! Pero no hay problema! Baja el .RPM y lo instalas con:

rpm -ivh nombre_del_paquete.rpm

Y funciona más rápido y es fácil.

Un saludos! :)
30 de Marzo 2008 - [Gabi & José] |Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.
jakelita
Forista Nuevo
Forista Nuevo
Mensajes: 15
Registrado: Sab Mar 05, 2011 8:09 pm

Re: error al intentar actualizar con yum en fedora 13

Mensaje por jakelita » Jue Mar 31, 2011 8:55 pm

Muchas gracias a todos lo intentare :) :)
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje